package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.SysAdminMapper;
import com.sa.ibiz.demo.demo.domain.SysAdmin;
import com.sa.ibiz.demo.demo.service.SysAdminService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.SysAdminSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[SysAdmin] 服务对象接口实现
 */
@Service
public class SysAdminServiceImpl extends ServiceImplBase<SysAdminMapper, SysAdmin> implements SysAdminService{


    @Resource
    private SysAdminMapper sysadminMapper;


    @Override
    public boolean create(SysAdmin et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(SysAdmin et){
        this.beforeUpdate(et);
		this.sysadminMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(SysAdmin et){
		return et.getSysadminid();  
    }

    @Override
    public boolean getDraft(SysAdmin et)  {
            return true;
    }

	public List<SysAdmin> listDefault(SysAdminSearchFilter filter) {
		return sysadminMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<SysAdmin> searchDefault(SysAdminSearchFilter filter) {
		return sysadminMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return sysadminMapper.selectRow(sql);
    }

 }